# EZ_GetTextProperty

##

##

##

##

##

    NAME
           EZ_GetTextProperty  - create text property

    SYNOPSIS
           #include <EZ.h>

           EZ_TextProperty *EZ_GetTextProperty(int option,...)

    ARGUMENTS
           This function takes variable number of args. Arguments are
           option-value pairs.

    DESCRIPTION
           EZ_GetTextProperty returns  a  text  property  that  meets
           specification.  It allocates a new text property when nec-
           essary.

           Only the following properties are  supported:  background,
           foreground,  font, pixmap and underline. One or more prop-
           erties may be specified on a  single  function  call.  For
           example,
              EZ_TextProperty *prop = EZ_GetTextProperty(
                                         EZ_FORGROUND,  "red",
                                         EZ_BACKGROUND, "blue",
                                         EZ_FONT_NAME,  "-Adobe-Times-Bold-I-Normal--*-120-*-*-*-*-*-*",
                                         EZ_UNDERLINE,  True,
                                         0);

    SEE ALSO
           EZ_TextEndOfLine(3),  EZ_TextInsertStringWithProperty(3)